#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xb4d32e64, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x9fda9f6b, "");
SYMBOL_CRC(ib_cm_listen, 0x8f965f40, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x19913327, "");
SYMBOL_CRC(ib_send_cm_req, 0xc39811a8, "");
SYMBOL_CRC(ib_send_cm_rep, 0x463aa227, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x37a6b45a, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x54a98149, "");
SYMBOL_CRC(ib_send_cm_drep, 0x2f18e162, "");
SYMBOL_CRC(ib_send_cm_rej, 0xbee93c62, "");
SYMBOL_CRC(ib_send_cm_mra, 0xa241d696, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xc80c3521, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xaa4af586, "");
SYMBOL_CRC(ib_cm_notify, 0x07736923, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xc2ca7812, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x594fbc59, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c874fb1, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc9a5da76, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xb01698af, "__trace_trigger_soft_disabled" },
	{ 0x3eb8ab20, "trace_event_printf" },
	{ 0xcef33406, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xc299be6b, "rdma_query_gid" },
	{ 0xab09cb28, "ib_port_register_client_groups" },
	{ 0xd5e61b60, "ib_modify_port" },
	{ 0x25414754, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa0f02130, "trace_event_buffer_commit" },
	{ 0xd81b4c23, "rdma_create_ah" },
	{ 0xfb736e50, "ib_init_ah_attr_from_wc" },
	{ 0x8fa55eea, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1b85d590, "ib_register_client" },
	{ 0x93d7ff90, "ib_unregister_mad_agent" },
	{ 0x568d9f08, "ib_post_send_mad" },
	{ 0xf1b08628, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x9089af6e, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xf32a8a1d, "rdma_destroy_ah_attr" },
	{ 0x34d005e4, "ib_set_client_data" },
	{ 0x8aff9d32, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd5021a97, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5f7aefca, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x83b9007e, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2bf3c81c, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x4dc22e36, "rdma_destroy_ah_user" },
	{ 0xab71497e, "ib_free_send_mad" },
	{ 0xb4f11591, "ib_port_unregister_client_groups" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xfc598193, "bpf_trace_run3" },
	{ 0xcf1e1a4b, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd961ec1d, "trace_event_buffer_reserve" },
	{ 0xf4ddebeb, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xdbc33680, "ib_free_recv_mad" },
	{ 0xb1c21d16, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x324b1f6b, "ib_modify_mad" },
	{ 0xc5314cb0, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "7601025A36756CEEBC27401");
MODULE_INFO(rhelversion, "10.1");
