#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xd71393a6, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xd2ebcf68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1b3fccad, "file_f_owner_allocate" },
	{ 0x1124075e, "fasync_helper" },
	{ 0xd0b5d72d, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf692eaf1, "netdev_info" },
	{ 0xb5f1bb91, "netif_carrier_on" },
	{ 0xd44d3d97, "netif_carrier_off" },
	{ 0xaad62b0c, "from_kgid_munged" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x36366abd, "from_kuid_munged" },
	{ 0xff182e8, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x27a628be, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xbb77eb7c, "__skb_get_hash_symmetric_net" },
	{ 0xefea8a8, "netif_tx_stop_all_queues" },
	{ 0xfb03f9ef, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0x81144b72, "rtnl_link_register" },
	{ 0xa7f39173, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x90d21f6c, "misc_deregister" },
	{ 0xd2c31585, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcc57afce, "xdp_return_frame" },
	{ 0xd8b5b57b, "sk_skb_reason_drop" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x13a7757e, "kill_fasync" },
	{ 0x3f319441, "bpf_prog_put" },
	{ 0x94869663, "sk_alloc" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6d7fdc42, "sock_init_data_uid" },
	{ 0xa3b09d6b, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xcb5a6612, "skb_queue_purge_reason" },
	{ 0x8d0ff782, "napi_disable" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf27cffcf, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8c408f4e, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2c95b297, "module_put" },
	{ 0x460c1c67, "skb_copy_datagram_iter" },
	{ 0xf1355703, "_copy_to_iter" },
	{ 0x7fd96b52, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x94a2b14d, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xb06ec242, "build_skb" },
	{ 0x96b62cad, "skb_put" },
	{ 0xb3a44155, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x887496ff, "netdev_core_stats_inc" },
	{ 0xb382deb5, "security_tun_dev_attach" },
	{ 0xa8d8d1d, "xdp_rxq_info_is_reg" },
	{ 0xcc761e6e, "netif_set_real_num_tx_queues" },
	{ 0x38db2d3e, "netif_set_real_num_rx_queues" },
	{ 0x51db0763, "lock_sock_nested" },
	{ 0x22bd9273, "sk_attach_filter" },
	{ 0x54874e4b, "release_sock" },
	{ 0x5ea9fd2c, "__xdp_rxq_info_reg" },
	{ 0x7f4b5022, "xdp_rxq_info_reg_mem_model" },
	{ 0xd86b4155, "napi_enable" },
	{ 0xc5d4341d, "netif_napi_add_weight" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe7c1c121, "__dev_get_by_name" },
	{ 0x801656e, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x93750e23, "netdev_state_change" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x1e025800, "alloc_netdev_mqs" },
	{ 0xa7ea4236, "ip_tunnel_header_ops" },
	{ 0x8d3c0ce2, "register_netdevice" },
	{ 0xab221ba2, "netif_tx_wake_queue" },
	{ 0xb805cc43, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x81524940, "dev_addr_mod" },
	{ 0x570402fa, "free_netdev" },
	{ 0x8923bdc4, "napi_gro_receive" },
	{ 0x4ff6b1ac, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xb3050bc7, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x42dc5c94, "__skb_flow_dissect" },
	{ 0x30a5cdf0, "skb_partial_csum_set" },
	{ 0xa3f005cd, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xe3c2bdf2, "sk_filter_trim_cap" },
	{ 0x44913324, "skb_clone_tx_timestamp" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5314ac28, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x27b6d0a9, "skb_tstamp_tx" },
	{ 0x1df5956e, "skb_copy_ubufs" },
	{ 0x9dbbb8e, "___pskb_trim" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdaeab49e, "seq_printf" },
	{ 0x4c462dbb, "xdp_do_redirect" },
	{ 0xad01e1d, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x60659bc7, "__traceiter_xdp_exception" },
	{ 0x35008c1b, "xdp_return_frame_rx_napi" },
	{ 0xfa0ac73e, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x35a7f9cb, "napi_get_frags" },
	{ 0x5b2324e1, "iov_iter_single_seg_count" },
	{ 0x71a6668e, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4d815d49, "vmemmap" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcd8e656d, "bpf_prog_get_type_dev" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0x44a6f265, "skb_page_frag_refill" },
	{ 0x78d7695e, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x70491f8e, "xdp_master_redirect" },
	{ 0x66dece93, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4fa0201e, "unregister_netdevice_queue" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x16c1bd29, "net_hotdata" },
	{ 0xa7985b81, "sock_recv_errqueue" },
	{ 0x8b6a7711, "eth_type_trans" },
	{ 0x30f1742d, "do_xdp_generic" },
	{ 0xa7d82cc6, "netif_receive_skb" },
	{ 0xf7280ac9, "__page_frag_cache_drain" },
	{ 0x6b54a902, "_copy_from_iter" },
	{ 0x56180225, "iov_iter_npages" },
	{ 0x3054c51f, "sock_alloc_send_pskb" },
	{ 0x7cb524c0, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe4efd3fe, "skb_copy_datagram_from_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe0b07ee2, "napi_schedule_prep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2b3743e2, "iov_iter_revert" },
	{ 0x2e0220a8, "skb_push" },
	{ 0x34e6021b, "eth_get_headlen" },
	{ 0x34b4d9a6, "napi_gro_frags" },
	{ 0xcc50f5b6, "__napi_schedule" },
	{ 0x393366ec, "get_net_ns" },
	{ 0xba339e7d, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x1329f91, "make_kgid" },
	{ 0x621b8b87, "sk_detach_filter" },
	{ 0x107dfb5a, "make_kuid" },
	{ 0x16482548, "init_user_ns" },
	{ 0x9a8cc358, "from_kuid" },
	{ 0x1db001a1, "dev_get_mac_address" },
	{ 0x24fb0145, "dev_set_mac_address_user" },
	{ 0x5fa58cd5, "netdev_update_features" },
	{ 0xefa84ae2, "call_netdevice_notifiers" },
	{ 0x789b138f, "__module_get" },
	{ 0xbf1cd6a1, "from_kgid" },
	{ 0xd89ecdb, "ethtool_op_get_link" },
	{ 0xd7f731fc, "ethtool_op_get_ts_info" },
	{ 0xf116fdc2, "passthru_features_check" },
	{ 0x12ec6016, "eth_mac_addr" },
	{ 0x8d391d07, "eth_validate_addr" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FD27A74E873A31B3D1E67AA");
MODULE_INFO(rhelversion, "10.1");
