#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xd9eb8aec, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xaaad8cbc, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xb11c7b69, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x8baef3b0, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0xb30cb118, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x881b0bff, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0xc3a0b240, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x7a374cc8, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xff628245, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x4a6615bb, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x714e76de, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x917ab740, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xdb7a2435, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x34d912fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4afd4540, "try_module_get" },
	{ 0x90d21f6c, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4231af84, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x13b8e191, "_dev_info" },
	{ 0x2c95b297, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x9763e107, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x906f28bd, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xcfa10505, "device_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0xa78dd576, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa4db258e, "class_unregister" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xeb0f6481, "__nvme_submit_sync_cmd" },
	{ 0x57f95a1d, "nvme_try_sched_reset" },
	{ 0x2bf3c81c, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa7f39173, "misc_register" },
	{ 0x45077081, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x38298485, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x8529467f, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xb5b44079, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0xdaeab49e, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x1beae6d8, "single_release" },
	{ 0xea3c727c, "nvme_wait_reset" },
	{ 0x9a1fca34, "__seq_puts" },
	{ 0x51ff9c28, "single_open" },
	{ 0x555ccb97, "up_read" },
	{ 0x3974fd31, "class_register" },
	{ 0xd8f3a16, "nvme_tls_key_lookup" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xacc92a0b, "nvme_auth_negotiate" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "D025E13A24E48E613C5B01C");
MODULE_INFO(rhelversion, "10.1");
