#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ctc_mpc_alloc_channel, "", "");
KSYMTAB_FUNC(ctc_mpc_establish_connectivity, "", "");
KSYMTAB_FUNC(ctc_mpc_dealloc_ch, "", "");
KSYMTAB_FUNC(ctc_mpc_flow_control, "", "");

SYMBOL_CRC(ctc_mpc_alloc_channel, 0x56f42138, "");
SYMBOL_CRC(ctc_mpc_establish_connectivity, 0x812fa936, "");
SYMBOL_CRC(ctc_mpc_dealloc_ch, 0x40b3051a, "");
SYMBOL_CRC(ctc_mpc_flow_control, 0xf5440dc6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e2aac99, "ccw_device_halt" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x96b62cad, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb3050bc7, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe33d6505, "unregister_netdev" },
	{ 0xdf3b88f6, "skb_dequeue" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xef805e55, "debug_set_level" },
	{ 0x66769993, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd2381bb1, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3bc0ebd2, "dev_kfree_skb_irq_reason" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe7e7b200, "get_device" },
	{ 0x331bbed3, "kfree_fsm" },
	{ 0xe7c1c121, "__dev_get_by_name" },
	{ 0xec54bedb, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcb5a6612, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x1e025800, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x4231af84, "put_device" },
	{ 0x80af5db5, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd9c30683, "__alloc_skb" },
	{ 0x13b8e191, "_dev_info" },
	{ 0x818f0df9, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xff5979a8, "netdev_refcnt_read" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xdf20006d, "fsm_settimer" },
	{ 0xb039e69a, "ccwgroup_probe_ccwdev" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x906f28bd, "_dev_err" },
	{ 0x9c254e65, "init_net" },
	{ 0xcf588524, "skb_pull" },
	{ 0xc57ff63, "__root_device_register" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x2e0220a8, "skb_push" },
	{ 0xa645385, "ccwgroup_driver_register" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x7595e844, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x570402fa, "free_netdev" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xab221ba2, "netif_tx_wake_queue" },
	{ 0xab62b304, "fsm_addtimer" },
	{ 0x2bf3c81c, "_dev_warn" },
	{ 0xb70ebd5e, "ccw_device_set_offline" },
	{ 0x88f34d4c, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd7148d81, "skb_dequeue_tail" },
	{ 0x4bec5c80, "netif_rx" },
	{ 0xf0ed6ce9, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x9427463d, "debug_hex_ascii_view" },
	{ 0x6fa3457, "debug_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xe27993e2, "ccwgroup_driver_unregister" },
	{ 0x5f6947a8, "ccwgroup_remove_ccwdev" },
	{ 0x886dda71, "debug_event_common" },
	{ 0xe8a7dd7d, "fsm_deltimer" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0x4da39149, "ccw_device_set_online" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x312e1b73, "init_fsm" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xaefe8672, "fsm_getstate_str" },
	{ 0x17855b3f, "dev_kfree_skb_any_reason" },
	{ 0x83854483, "debug_register_view" },
	{ 0xf0da2243, "ccw_driver_unregister" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "fsm,ccwgroup");

MODULE_ALIAS("ccw:t3088m08dt*dm*");
MODULE_ALIAS("ccw:t3088m1Edt*dm*");
MODULE_ALIAS("ccw:t3088m1Fdt*dm*");

MODULE_INFO(srcversion, "CB6A7F6331245270523223F");
MODULE_INFO(rhelversion, "10.1");
