#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x434142bc, "");
SYMBOL_CRC(jbd2_journal_start, 0x2b858d53, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x35f20cae, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xde5e34e0, "");
SYMBOL_CRC(jbd2__journal_restart, 0xf9fb31d6, "");
SYMBOL_CRC(jbd2_journal_restart, 0x6dd2258e, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x688b721d, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xbe68ffba, "");
SYMBOL_CRC(jbd2_journal_extend, 0x7dbff97a, "");
SYMBOL_CRC(jbd2_journal_stop, 0x57a68cfe, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x8bc9e6a4, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xc5362887, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0xad361e98, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x439c697a, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xeccd3f76, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x4b218f33, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x5ee70a47, "");
SYMBOL_CRC(jbd2_journal_forget, 0xd6e5fb24, "");
SYMBOL_CRC(jbd2_journal_flush, 0xf1a6b927, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xe504ca22, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x09126773, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x70816d75, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x6a2821d9, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x3015b429, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x6cd38b3c, "");
SYMBOL_CRC(jbd2_journal_load, 0x6f7d7a9f, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x915cf084, "");
SYMBOL_CRC(jbd2_journal_abort, 0xe964b846, "");
SYMBOL_CRC(jbd2_journal_errno, 0x40665048, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x60c74645, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x597716a5, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x8d77df63, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xcb769e43, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x81758e27, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xef9797f3, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xe680805e, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0xef573133, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x476e385e, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x74c7f5f5, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xfd3126b8, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x53dc443e, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xb4275305, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xce1628b3, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xa767768f, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xa2a6bf20, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x11ff670e, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x717c50e4, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x30a9d523, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x693571ff, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xdc4e7004, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x231934ef, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xc6b2cbcc, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x33c4e538, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x4580d487, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x89964324, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x879d662b, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x1b32f033, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x4c05fa8b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x7b642edd, "bh_uptodate_or_lock" },
	{ 0x74f7c601, "shrinker_alloc" },
	{ 0x4d815d49, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x64553588, "blk_start_plug" },
	{ 0xca7cde8b, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x788a9020, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc361406e, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc9a5da76, "trace_raw_output_prep" },
	{ 0x5ad2f819, "bpf_trace_run6" },
	{ 0x6c3d4855, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x77c38106, "__find_get_block" },
	{ 0xb01698af, "__trace_trigger_soft_disabled" },
	{ 0xf3b076a2, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x3eb8ab20, "trace_event_printf" },
	{ 0xd6be1f2, "__bforget" },
	{ 0xfe24de76, "write_dirty_buffer" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0xcef33406, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdb2f77c, "iput" },
	{ 0x8178cdc6, "seq_lseek" },
	{ 0x87ab3ee9, "blockdev_superblock" },
	{ 0x728e6d3c, "proc_create_data" },
	{ 0x25414754, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6bef10ec, "bpf_trace_run8" },
	{ 0xbb0e44ae, "submit_bh" },
	{ 0x66836df3, "alloc_buffer_head" },
	{ 0x57b6efa8, "wake_up_process" },
	{ 0x2bb615d2, "shrinker_free" },
	{ 0xa0f02130, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x457c8d1e, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9519d443, "try_to_free_buffers" },
	{ 0xb403b4b0, "sync_blockdev" },
	{ 0xbcce4745, "free_buffer_head" },
	{ 0xffc812a2, "shrinker_register" },
	{ 0x2e8730c2, "blk_finish_plug" },
	{ 0x9fff4339, "bdev_getblk" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6d7c1d27, "__brelse" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x9089af6e, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x258c4562, "__bh_read_batch" },
	{ 0xf3b828bd, "bpf_trace_run5" },
	{ 0x90c6c381, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xefb1f1cb, "kmem_cache_free" },
	{ 0x8cd709a3, "__bh_read" },
	{ 0x5f7aefca, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x414af002, "blkdev_issue_zeroout" },
	{ 0x1468ce1d, "filemap_fdatawait_range_keep_errors" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe335144, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x793fd734, "freezing_slow_path" },
	{ 0x83b9007e, "bpf_trace_run1" },
	{ 0x8e4c9c6f, "proc_mkdir" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x3f54fc03, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xfe1e4745, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0x363f349b, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xfc598193, "bpf_trace_run3" },
	{ 0x38298485, "seq_read" },
	{ 0x446cdf26, "unlock_buffer" },
	{ 0xd961ec1d, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x66dece93, "__folio_put" },
	{ 0x86b31c29, "remove_proc_entry" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdaeab49e, "seq_printf" },
	{ 0xd8537ac4, "__lock_buffer" },
	{ 0x8583fc79, "truncate_inode_pages_range" },
	{ 0xc3855723, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbf2bb898, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xebc24a4, "end_buffer_write_sync" },
	{ 0xf6ddca50, "seq_open" },
	{ 0x7752b47e, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x26911283, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0xefb7ce1f, "kmem_cache_destroy" },
	{ 0xa60c4b53, "blkdev_issue_discard" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C4803DB6A176AEA644BFA2");
MODULE_INFO(rhelversion, "10.1");
