#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x04e1ebbe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd9d032b, "nfs_clone_server" },
	{ 0xe62e9f6e, "nlmclnt_proc" },
	{ 0xf7aa1b42, "nfs_writeback_update_inode" },
	{ 0x9491c46d, "nfs_alloc_client" },
	{ 0x817715e5, "nfs_dentry_operations" },
	{ 0x2ec539c7, "xdr_write_pages" },
	{ 0x205ff916, "nfs_access_zap_cache" },
	{ 0xa5ae1376, "nfs_wb_all" },
	{ 0xf22c598c, "xdr_inline_decode" },
	{ 0x601da70b, "forget_all_cached_acls" },
	{ 0xb535d4fb, "nfs_submount" },
	{ 0x34566b51, "__tracepoint_nfs_xdr_status" },
	{ 0x3a24d09a, "nfs_mknod" },
	{ 0x2021413a, "nfs_create_server" },
	{ 0xf6399f94, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7bb14a8, "nfs_post_op_update_inode" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x95d68a0e, "xdr_read_pages" },
	{ 0x20868a62, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0xb79809da, "nfs_create" },
	{ 0xe51d5971, "nfs_mkdir" },
	{ 0xda8aec25, "nfs_revalidate_inode" },
	{ 0x41903b94, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfe4d9109, "nfs_try_get_tree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x107dfb5a, "make_kuid" },
	{ 0x923f811d, "nfs_get_client" },
	{ 0x9f43236, "__free_pages" },
	{ 0x6026abd3, "nfs_file_operations" },
	{ 0xa942bcf8, "get_inode_acl" },
	{ 0xcebeb7fc, "nfs_put_lock_context" },
	{ 0x932149a8, "nfs_rename" },
	{ 0x66f0ae66, "nfs_lookup" },
	{ 0xf106b030, "__traceiter_nfs_xdr_bad_filehandle" },
	{ 0xeec719dc, "nfs_sysfs_link_rpc_client" },
	{ 0x264cee26, "nfsacl_encode" },
	{ 0xa2a56b33, "posix_acl_create" },
	{ 0x3106e8a0, "get_nfs_open_context" },
	{ 0x8af68445, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xce960f4e, "nfs_getattr" },
	{ 0x9c06a8a0, "nfs_zap_acl_cache" },
	{ 0xbcc60c8d, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x4d09feef, "rpc_bind_new_program" },
	{ 0x89c4f3aa, "register_nfs_version" },
	{ 0x5969e6d7, "nfs_atomic_open_v23" },
	{ 0xa3a620bd, "rpc_call_start" },
	{ 0x3226c555, "rpc_call_sync" },
	{ 0x3ea6653, "rpc_prepare_reply_pages" },
	{ 0x9b71041b, "nfs_fs_type" },
	{ 0x8f838c06, "nfs_setattr" },
	{ 0xb778da26, "xdr_terminate_string" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xe1590caa, "rpc_delay" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x1329f91, "make_kgid" },
	{ 0xaad62b0c, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xc2eda8eb, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x7880c010, "nfs_rmdir" },
	{ 0xdcc4b186, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7aad0b4c, "nfs_async_iocounter_wait" },
	{ 0xe07a3f29, "nfs_setattr_update_inode" },
	{ 0x203eada1, "nfs_sops" },
	{ 0x16482548, "init_user_ns" },
	{ 0x3ab58eee, "rpc_restart_call" },
	{ 0x4015308c, "nfs_link" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0x7451e312, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0xd123e1eb, "put_nfs_open_context" },
	{ 0xa919fb20, "nfs_permission" },
	{ 0xaac2b01d, "alloc_pages_noprof" },
	{ 0x3baaf4a7, "nfs_add_or_obtain" },
	{ 0x36366abd, "from_kuid_munged" },
	{ 0x1542d989, "nfs_free_client" },
	{ 0x25380a2c, "nfs_close_context" },
	{ 0x508e2243, "nfs_refresh_inode" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xe6cb1de1, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xa8ca88b4, "__traceiter_nfs_xdr_status" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0x1e7f34d4, "nfs_symlink" },
	{ 0x53264c66, "nfs_unlink" },
	{ 0x845efd10, "forget_cached_acl" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "15E2E32A2DC38AB48ED3359");
MODULE_INFO(rhelversion, "10.1");
