#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x1e9ca16d, "");
SYMBOL_CRC(is_hsr_master, 0x2eafab72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3401ba65, "dev_set_mtu" },
	{ 0xba29eb00, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x15c79424, "eth_header" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x96b62cad, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5fa58cd5, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x81144b72, "rtnl_link_register" },
	{ 0x92e42200, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x32592229, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbbba11f, "dev_set_promiscuity" },
	{ 0x8178cdc6, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb6dee0d6, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4fa0201e, "unregister_netdevice_queue" },
	{ 0x56168e65, "netlink_ack" },
	{ 0x757eed15, "__pskb_copy_fclone" },
	{ 0x4e679c6, "dev_uc_unsync" },
	{ 0xb805cc43, "ether_setup" },
	{ 0x9b1572e4, "netlink_broadcast_filtered" },
	{ 0x94a2b14d, "netdev_err" },
	{ 0xffc5e192, "netdev_upper_dev_link" },
	{ 0x81524940, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5323ea56, "netdev_rx_handler_unregister" },
	{ 0xa89023a0, "eth_header_parse" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xd9c30683, "__alloc_skb" },
	{ 0xd9b79bca, "skb_copy_expand" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf8b19176, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd2c31585, "rtnl_link_unregister" },
	{ 0x9c254e65, "init_net" },
	{ 0xcf588524, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x10fa3025, "mark_tech_preview" },
	{ 0xd8b5b57b, "sk_skb_reason_drop" },
	{ 0x2497f04c, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf89943b9, "dev_get_by_index_rcu" },
	{ 0x97bd5501, "netdev_printk" },
	{ 0x2e0220a8, "skb_push" },
	{ 0x7caec140, "debugfs_remove" },
	{ 0x10701b37, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xef99603, "netdev_set_operstate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa3f005cd, "__pskb_pull_tail" },
	{ 0x4bec5c80, "netif_rx" },
	{ 0xf0ed6ce9, "__netdev_alloc_skb" },
	{ 0x580caa7b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x38298485, "seq_read" },
	{ 0x6b7eb7c0, "debugfs_rename" },
	{ 0x39bcb5e7, "debugfs_create_file" },
	{ 0x4d3fd64a, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xefa84ae2, "call_netdevice_notifiers" },
	{ 0x40b606a5, "dev_set_allmulti" },
	{ 0x8529467f, "seq_write" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd44d3d97, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdaeab49e, "seq_printf" },
	{ 0x12d79957, "skb_clone" },
	{ 0xb5f1bb91, "netif_carrier_on" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xe2cc286b, "netdev_rx_handler_register" },
	{ 0x1beae6d8, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x66ae7340, "genl_unregister_family" },
	{ 0xd23fe95a, "dev_disable_lro" },
	{ 0x17855b3f, "dev_kfree_skb_any_reason" },
	{ 0x51ff9c28, "single_open" },
	{ 0x38dbe8d5, "debugfs_create_dir" },
	{ 0x46d82c32, "dev_mc_unsync" },
	{ 0xeb648f6b, "genl_register_family" },
	{ 0x887496ff, "netdev_core_stats_inc" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0xf692eaf1, "netdev_info" },
	{ 0xd12733f6, "dev_mc_sync_multiple" },
	{ 0x8d3c0ce2, "register_netdevice" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6F1DDADF9A7734F0922575E");
MODULE_INFO(rhelversion, "10.1");
