#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xa8d6be39, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x49af5dbf, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x2453bd40, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xf2a1299c, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x68d09ac9, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xf914e784, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x4d0b6fb0, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x9376eb7c, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xa5211390, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x29d09f7d, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xa53cb625, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x2b249798, "");
SYMBOL_CRC(key_type_rxrpc, 0x02f93d3f, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x86031b8c, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x306f4829, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xcf481b90, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x3cada462, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x283f1212, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x3195d1fa, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xc92c583f, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x9c95e0b4, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xefaf67ec, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xb0161b21, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x778a1134, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bb7e19, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4d815d49, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x389514ad, "key_alloc" },
	{ 0xca7cde8b, "bpf_trace_run4" },
	{ 0xaea41e5a, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0xe863ea5b, "param_ops_uint" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xb3050bc7, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc9a5da76, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xa0bd87ca, "udp_sock_create4" },
	{ 0x5ad2f819, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xdf3b88f6, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xb01698af, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x3eb8ab20, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0xfb885337, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0xdc685537, "udpv6_sendmsg" },
	{ 0x5b2c8e7a, "unregister_key_type" },
	{ 0x3f454bb5, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xcef33406, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57f0dd6b, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x25414754, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xa2efe76a, "crypto_skcipher_setkey" },
	{ 0xd2bc721f, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf327aff0, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x4516f977, "register_key_type" },
	{ 0x2ee2d480, "proc_create_net_data" },
	{ 0x8f2d4ac0, "put_cmsg" },
	{ 0x57b6efa8, "wake_up_process" },
	{ 0xa0f02130, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x79770281, "register_net_sysctl_sz" },
	{ 0x457c8d1e, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x63ddfd3a, "proto_unregister" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x61ee68d3, "ipv6_icmp_error" },
	{ 0x96e5feca, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xaf65f2ed, "crypto_skcipher_decrypt" },
	{ 0x107dfb5a, "make_kuid" },
	{ 0x5b0009bc, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x3550fca8, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x818f0df9, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x473642a4, "__sock_recv_timestamp" },
	{ 0x9763e107, "key_put" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x9089af6e, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x9c254e65, "init_net" },
	{ 0xcf588524, "skb_pull" },
	{ 0x44966029, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0xb7337bf4, "sock_enable_timestamps" },
	{ 0xf40c8df, "ip_sock_set_mtu_discover" },
	{ 0xd8b5b57b, "sk_skb_reason_drop" },
	{ 0x81b433f2, "down" },
	{ 0xf3b828bd, "bpf_trace_run5" },
	{ 0xa3b09d6b, "sk_free" },
	{ 0xe3423fc8, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd0997fa7, "kernel_sock_shutdown" },
	{ 0xc20801da, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xefb1f1cb, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x5f7aefca, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x5f175f7d, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2aea2339, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x51db0763, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x628dba1, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x460c1c67, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd40321ac, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x94869663, "sk_alloc" },
	{ 0x83b9007e, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xdc7a45ba, "sock_no_socketpair" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x297846f5, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3f54fc03, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2296bd9c, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x40ab1a7c, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9895f973, "crypto_alloc_sync_skcipher" },
	{ 0xfe1e4745, "__kmem_cache_create_args" },
	{ 0x721aabff, "setup_udp_tunnel_sock" },
	{ 0xbfc6f274, "proc_remove" },
	{ 0x79874234, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x363f349b, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xfc598193, "bpf_trace_run3" },
	{ 0xf7280ac9, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd961ec1d, "trace_event_buffer_reserve" },
	{ 0xe700cd1a, "keyring_search" },
	{ 0x88452bfc, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa469b309, "request_key_tag" },
	{ 0x42494d1, "generic_key_instantiate" },
	{ 0x8529467f, "seq_write" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbdef8225, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdaeab49e, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xd6272dec, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12d79957, "skb_clone" },
	{ 0xd24937f6, "dst_release" },
	{ 0x6b54a902, "_copy_from_iter" },
	{ 0x300b2d9, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x894caf11, "sock_no_ioctl" },
	{ 0x401a912f, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x9a1fca34, "__seq_puts" },
	{ 0x4daf3739, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x61ab7f84, "bpf_trace_run7" },
	{ 0x5d3151ce, "ip_icmp_error" },
	{ 0x2b3743e2, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x930de888, "kernel_sendmsg" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xe473cf5a, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x3a6b44cb, "register_pernet_device" },
	{ 0xadd73858, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa2440c56, "sock_init_data" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0xefb7ce1f, "kmem_cache_destroy" },
	{ 0x54874e4b, "release_sock" },
	{ 0x50124680, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x330caf80, "proc_create_net_single_write" },
	{ 0x321f749a, "crypto_alloc_skcipher" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "E03F9A844F23DCDC1B42644");
MODULE_INFO(rhelversion, "10.1");
