#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x03adc8ab, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0x27c252e2, "");
SYMBOL_CRC(flow_resources_alloc, 0x46942a5c, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x5c0317be, "");
SYMBOL_CRC(flow_resources_add, 0xe6a98002, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x53858cd1, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x9b05089e, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x02888de7, "");
SYMBOL_CRC(uverbs_try_lock_object, 0x9bd082db, "");
SYMBOL_CRC(uverbs_idr_class, 0x651c32c2, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x12b203a6, "");
SYMBOL_CRC(uverbs_fd_class, 0x3c101c59, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x0446f492, "");
SYMBOL_CRC(_uverbs_alloc, 0xaaac80f7, "");
SYMBOL_CRC(uverbs_get_flags64, 0x1b259600, "");
SYMBOL_CRC(uverbs_get_flags32, 0x72b455a7, "");
SYMBOL_CRC(uverbs_copy_to, 0xaa391ecf, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xb46affa4, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x86b27499, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xecb5c92a, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xd79184bb, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xa5ec96cd, "");
SYMBOL_CRC(ib_umem_get, 0x253a7ab6, "");
SYMBOL_CRC(ib_umem_release, 0x57a38286, "");
SYMBOL_CRC(ib_umem_copy_from, 0x158394de, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xaccf8a64, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x6f604f41, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xa4f2d842, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x985673be, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xc7794271, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x555d3c60, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99a52902, "pin_user_pages_fast" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4afd4540, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb4054593, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4d815d49, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x594fbc59, "ib_unregister_client" },
	{ 0xee1b3d6d, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x38ceb314, "unpin_user_pages_dirty_lock" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xff472fb2, "dev_set_name" },
	{ 0xfa65f285, "ibdev_warn" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x10d7dacf, "ib_create_qp_user" },
	{ 0x6f574ffd, "dma_resv_wait_timeout" },
	{ 0x965c1edb, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x13a7757e, "kill_fasync" },
	{ 0x15a8f4fa, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7a85cb98, "fget" },
	{ 0xd6f0fca7, "ib_query_srq" },
	{ 0x3cd7887, "ww_mutex_unlock" },
	{ 0xe4a2be83, "device_initialize" },
	{ 0xc85d358b, "ib_rdmacg_try_charge" },
	{ 0xfc2d89f8, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xded9b0c8, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xe96c87db, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbdb2f77c, "iput" },
	{ 0x5043f800, "dma_buf_unpin" },
	{ 0xc0b35716, "zap_vma_ptes" },
	{ 0xc3bcf320, "ib_dereg_mr_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x357fe4a9, "rdma_dev_access_netns" },
	{ 0xe7e7b200, "get_device" },
	{ 0x264f279c, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x6d056d5, "dma_buf_dynamic_attach" },
	{ 0xbf990006, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x8cf525ff, "radix_tree_iter_delete" },
	{ 0x6828b0d4, "ib_destroy_srq_user" },
	{ 0x573ea5ea, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xcb2f6a21, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x7283d08a, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x4231af84, "put_device" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x28794dd6, "ib_modify_qp_with_udata" },
	{ 0x38f9ced, "ib_register_event_handler" },
	{ 0x20be6b7b, "ib_detach_mcast" },
	{ 0x7da516f2, "dma_buf_map_attachment" },
	{ 0x9f43236, "__free_pages" },
	{ 0x623606a5, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2c95b297, "module_put" },
	{ 0x1b85d590, "ib_register_client" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0x280efe19, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd97d1595, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x5325058b, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xe99f6ae1, "fput" },
	{ 0x34d005e4, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x906f28bd, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x47852311, "dma_buf_unmap_attachment" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x851f219, "radix_tree_next_chunk" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd5021a97, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x30555052, "dma_buf_get" },
	{ 0xada3230d, "ib_query_port" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xff182e8, "nla_put" },
	{ 0xb7938e6c, "ww_mutex_lock" },
	{ 0x1124075e, "fasync_helper" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9b70faac, "ib_qp_usecnt_inc" },
	{ 0x16230701, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa4db258e, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xbc030e34, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9c09b075, "rdma_restrack_set_name" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x81b8d089, "rdma_create_user_ah" },
	{ 0x4dc22e36, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb8297165, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4e3c4e51, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0x47f52ccc, "__mmdrop" },
	{ 0x7511bd75, "rdma_restrack_del" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xd2a6ec71, "__mmap_lock_do_trace_start_locking" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x22d12aa0, "ib_rdmacg_uncharge" },
	{ 0x7230beea, "fdget" },
	{ 0xac32cfa7, "igrab" },
	{ 0x5e71f31b, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9c918d5e, "mmput" },
	{ 0xff7d3e95, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0xe91acec9, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d93ff31, "__mmap_lock_do_trace_released" },
	{ 0xe492be4c, "ib_alloc_xrcd_user" },
	{ 0xe70e184a, "xa_store" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x366812f, "rdma_set_cq_moderation" },
	{ 0xaac2b01d, "alloc_pages_noprof" },
	{ 0x7de12854, "ib_dealloc_xrcd_user" },
	{ 0x8f49fcb8, "dma_buf_detach" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb08500c6, "stream_open" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xb69b22ac, "ib_open_qp" },
	{ 0xb669a3d8, "ib_dealloc_pd_user" },
	{ 0x38139048, "rdma_get_gid_attr" },
	{ 0xf56ad1c2, "dma_unmap_sg_attrs" },
	{ 0x84c38cc4, "rdma_port_get_link_layer" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x32e38b08, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xc2afe7b1, "rdma_query_gid_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x59bbf578, "rdma_restrack_put" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xcd0cb2e, "ib_attach_mcast" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x2c1ee514, "rdma_umap_priv_init" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xceb01c9c, "ib_destroy_wq_user" },
	{ 0x3974fd31, "class_register" },
	{ 0x66cfc326, "cdev_init" },
	{ 0x8339b32c, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0x6a5446d8, "rdma_user_mmap_entry_put" },
	{ 0x85f3162b, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "9D9C2A6DAD9D947E3376812");
MODULE_INFO(rhelversion, "10.1");
